<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Login extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function index()
	{

		$data['error']=0;
		if(isset($_POST['login'])){

			$config=array(
				array(
					'field'=>'username',
					'label'=>'Username',
					'rules'=>'trim|required|min_length[3]'
				),
				array(
					'field'=>'password',
					'label'=>'Password',
					'rules'=>'trim|required|min_length[5]'
				)
			);
			$this->load->library('form_validation');
			$this->form_validation->set_rules($config);
			if($this->form_validation->run()==false){
				$data['errors']=validation_errors();
			}else{

				$this->load->model('user_ad_model');
				$username=$this->input->post('username',true);
				$password=$this->input->post('password',true);

				$user=$this->user_ad_model->login($username,$password);
				if(!$user){
					$data['error']=1;
				}else{
					$this->session->set_userdata('userID',$user['userID']);
					$this->session->set_userdata('username',$user['username']);
					$this->session->set_userdata('lang',1);
					$this->session->set_userdata("langName", "English");
				}
				redirect(base_url().'admin/login');

			}

		}
		if($this->session->userdata('userID')){
			redirect(base_url('admin/login/redirect_user'));
		}else{
			$this->load->helper('form');
			$this->load->view('admin/login',$data);
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function redirect_user()
	{
		redirect(base_url().'admin/main');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function logout()
	{
		$this->session->unset_userdata('userID');
		$this->session->sess_destroy();
		redirect(base_url().'admin/login/');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}