<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage_entrant_found extends CI_Controller {

    function __construct() {
       parent::__construct();
       if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
    }

    public function index()
    {
      $this->session->set_userdata('entrant_id',1);
      $this->load->view('admin/entrant_found/manage');
    }
	
    public function get_json()
    {
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('entrants_found');
       $root = $this->MPTtree->get_root();
       $this->db->select('descendants.id, descendants.lft, descendants.rgt, descendants.title,descendants.title_eng, Count(entrants_found_content.id) as num_pages, depth');
       $this->MPTtree->AR_from_alldescendants_of($root['lft'],$root['rgt']);
       $this->db->join('entrants_found_content','descendants.id = entrants_found_content.cat_id', 'left outer');
       $this->db->group_by('descendants.id');
       $this->db->order_by('descendants.lft');
       $this->db->where('descendants.entrant_id',$this->session->userdata('entrant_id'));
       $query = $this->db->get();
       $rows = $query->result_array();
       echo json_encode($rows);
    }

    public function ajax_sort(){		
      $item = $this->input->post('item');	
      $moveto = $this->input->post('moveto');
      $type = $this->input->post('type');
      $this->load->model('MPTtree');
      $this->MPTtree->set_table('entrants_found'); 
      $node = $this->MPTtree->get_node_byid($item);
      $snode = $this->MPTtree->get_node_byid($moveto);   
       
      if ($type == "appendfirst" )
        $this->MPTtree->move_node_append($node['lft'], $snode['lft']);
      else
        $this->MPTtree->move_node_after($node['lft'], $snode['lft']);
    }
    
    public function ajax_addnew(){
      $newdata = array(
        "title" => $this->input->post('title'),
        "title_eng" => $this->input->post('title_eng'),
        "entrant_id" => $this->session->userdata('entrant_id')
      );
      $this->load->model('MPTtree');
      $this->MPTtree->set_table('entrants_found'); 
      $content_id = $this->MPTtree->append_node_last(1, $newdata); 
      $this->MPTtree->init_entrant_found_content($content_id[2]);
      

    }

    public function ajax_edit(){
       $newdata=array(
        "title" => $this->input->post('title'),
        "title_eng" => $this->input->post('title_eng'),
        "entrant_id" => $this->session->userdata('entrant_id')
       );
       $lft = $this->input->post('lft');
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('entrants_found'); 
       $this->MPTtree->update_node($lft, $newdata);
    }    

    public function ajax_delete(){								
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('entrants_found'); 
       $content_id = $this->MPTtree->delete_node($this->input->post('lft'));
      

    }
}
