<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_institute_sections extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('institutes_sections_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$data['posts']=$this->institutes_sections_ad_model->get_posts();
		$this->load->view('admin/institute_sections/manage', $data);
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function set_session($id){
		$this->session->set_userdata('institute_section_id',$id);
		redirect(base_url()."admin/manage_institute_section");
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institute_sections/add', $data);

		$level = $this->institutes_sections_ad_model->get_level();
		if($level[0]['blocklevel']==NULL){
			$level = 1;
		}
		else{
			$level = $level[0]['blocklevel']+1;
		}

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

			$data=array(
				'uid' =>$uId,
				'name'=>$_POST['name-'.$lang["lang"]],
				'color'=>$_POST['color'],
				'isactive'=>$_POST['isactive'],
				'lang'=>$lang["langID"],
				'imglink'=>$_POST["ImagePath"],
				'blocklevel'=>$level,
				'institute_id' => $this->session->userdata('institute_id')
			);
			$this->institutes_sections_ad_model->insert($data);

			}

			redirect(base_url().'admin/manage_institute_sections');

		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit()
	{
		$uId = $this->uri->segment(4);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$data['rows']=$this->institutes_sections_ad_model->get_post($uId);
		$this->load->view('admin/institute_sections/edit', $data);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'name'=>$_POST['name-'.$lang["lang"]],
				'color'=>$_POST['color'],
				'isactive'=>$_POST['isactive'],
				'lang'=>$lang["langID"],
				'imglink'=>$_POST["ImagePath"],
				'institute_id' => $this->session->userdata('institute_id')
			);
			$this->institutes_sections_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_institute_sections');

		}
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){
		$this->institutes_sections_ad_model->sort_up($id);
		redirect(base_url().'admin/manage_institute_sections');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->institutes_sections_ad_model->sort_down($id);
		redirect(base_url().'admin/manage_institute_sections');
	}


	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete()
	{
		$uId = $this->uri->segment(4);
		$this->institutes_sections_ad_model->delete($uId);
		redirect(base_url().'admin/manage_institute_sections');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}