<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_institute_slider extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('institutes_slider_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($start=0)
	{
		$data['sliderdatas'] = $this->institutes_slider_ad_model->get_slides(15,$start);
		$this->load->library('pagination');
		$config['base_url'] = base_url().'admin/manage_institute_slider/index/';
		$config['total_rows'] = $this->institutes_slider_ad_model->get_posts_count();
		$config['per_page'] = 15;
		$config['attributes'] = array('class' => 'pagingButton');
		$config['uri_segment'] = 4;
		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();
		$this->load->view('admin/institute_slider/slider_manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function addslide()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institute_slider/slider_add', $data);

		if(isset($_POST['add_slider_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

					$link = $_POST['link'];
					$youtube = $_POST['youtube'];

				$data=array(
					'uid' => $uId,
					'img'=> $_POST['ImagePath'],
					'link'=> $link,
					'youtube'=> $youtube,
					'blank'=> $_POST['blank'],
					'type'=> $_POST['type'],
					'title'=> $_POST['title-'.$lang["lang"]],
					'caption'=> $_POST['caption-'.$lang["lang"]],
					'isactive'=> $_POST['isactive-'.$lang["lang"]],
					'lang' => $lang["langID"],
					'institute_id' => $this->session->userdata('institute_id')
				);
				$this->institutes_slider_ad_model->insert_slide($data);

			}

			redirect(base_url().'admin/manage_institute_slider');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function editslide($uId)
	{
		$uId = $this->uri->segment(4);
		$data['sliderdata']=$this->institutes_slider_ad_model->get_slide($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institute_slider/slider_edit', $data);

		if(isset($_POST['edit_slider_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

					$link = $_POST['link'];
					$youtube = $_POST['youtube'];

				$data=array(
					'img'=> $_POST['ImagePath'],
					'link'=> $link,
					'youtube'=>$youtube,
					'blank'=> $_POST['blank'],
					'type'=> $_POST['type'],
					'title'=> $_POST['title-'.$lang["lang"]],
					'caption'=> $_POST['caption-'.$lang["lang"]],
					'isactive'=> $_POST['isactive-'.$lang["lang"]],
					'lang'=> $lang["langID"],
					'institute_id' => $this->session->userdata('institute_id')
				);
				$this->institutes_slider_ad_model->update_slide($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_institute_slider');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function deleteslide()
	{
		$uId = $this->uri->segment(4);
		$this->institutes_slider_ad_model->delete_slide($uId);
		redirect(base_url().'admin/manage_institute_slider');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}