<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_vmessage extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('vmessage_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($start=0)
	{
		$id = $this->session->userdata('vmessage_cat');
		$data['rows']=$this->vmessage_ad_model->get_posts_by_id($id,10,$start);
		$this->load->library('pagination');
		$config['base_url'] = base_url().'admin/manage_vmessage/index/';
		$config['total_rows'] = $this->vmessage_ad_model->get_posts_count();
		$config['per_page'] = 10;
		$config['attributes'] = array('class' => 'pagingButton');
		$config['uri_segment'] = 4;
		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();
		$this->load->view('admin/vmessage/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/vmessage/add', $data);

		$vmessage_cat  = $this->session->userdata('vmessage_cat');
		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			$yt_link = $this->input->post('link');
			$assigned_image = $this->input->post('ImagePath');

			$yt_default_image = $this->get_yt_default_image($yt_link);

			$img = ($assigned_image) ? $assigned_image : $yt_default_image;

			foreach($langs as $lang){

				$data=array(
					'uId' => $uId,
					'cat_id'=>$vmessage_cat,
					'title'=>$_POST['title-'.$lang["lang"]],
					'link'=>$yt_link,
					'image' =>$img,
					'isactive'=>$_POST['isactive'],
					'lang' => $lang["langID"]
				);
				$this->vmessage_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_vmessage/');
		}

	}

	private function get_yt_default_image($yt_link) {
		$yt_id_pos = strpos($yt_link, 'v=');
		$yt_id = substr($yt_link, $yt_id_pos + 2, 11);

		return 'https://i.ytimg.com/vi/' . $yt_id . '/mqdefault.jpg';
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);
		$vmessage_cat  = $this->session->userdata('vmessage_cat');
		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			$yt_link = $this->input->post('link');
			$assigned_image = $this->input->post('ImagePath');

			$yt_default_image = $this->get_yt_default_image($yt_link);

			$img = ($assigned_image) ? $assigned_image : $yt_default_image;

			foreach($langs as $lang){

			$data=array(
				'cat_id'=>$vmessage_cat,
				'title'=>$_POST['title-'.$lang["lang"]],
				'link'=>$yt_link,
				'image' =>$img,
				'isactive'=>$_POST['isactive'],
				'lang' => $lang["langID"]
			);
			$this->vmessage_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_vmessage');
		}

		$data['rows']=$this->vmessage_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/vmessage/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->vmessage_ad_model->delete($uId);
		redirect(base_url().'admin/manage_vmessage');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}