<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class All_announce extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('main_view_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function index($start=0){

		$data['access']= $this;
		$day =$this->input->get('day');
		$month =$this->input->get('month');
		$year =$this->input->get('year');
		$category = $this->input->get('category');
		if(!(empty($day)&&empty($month)&&empty($year))){
			$filter = $day."/".$month."/".$year;
			$data['allAnnounce']=$this->main_view_model->view_all_announce_filtered(12,$start,$filter);
			$this->load->library('pagination');
			$config['first_url'] = base_url().'all_news/?day='.$day.'&month='.$month.'&year='.$year;
			$config['base_url'] = base_url().'all_announce/index/';
			$config['total_rows'] = $this->main_view_model->get_filtered_announce_count($filter);
			$config['per_page'] = 12;
			$config['next_link'] = 'Next';
			$config['prev_link'] = 'Prev';
			$config['uri_segment'] = 3;
			$this->pagination->initialize($config);
			$data['pages'] = $this->pagination->create_links();
		}else{
			$data['allAnnounce']=$this->main_view_model->view_all_announce(12,$start);
			$this->load->library('pagination');
			$config['base_url'] = base_url().'all_announce/index/';
			$config['total_rows'] = $this->main_view_model->get_announce_count();
			$config['per_page'] = 12;
			$config['next_link'] = 'Next';
			$config['prev_link'] = 'Prev';
			$config['uri_segment'] = 3;
			$this->pagination->initialize($config);
			$data['pages'] = $this->pagination->create_links();
		}
		$this->load->view('site/all_announce', $data);
	}

	function get_calendar_announce(){
		$data = $this->main_view_model->get_calendar_announce();
		echo json_encode($data);
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function get_day($date){
		$show_date = DateTime::createFromFormat('d/m/Y', $date)->format('Y-m-d');
		$show_date = date_parse($show_date);
		if($show_date['day'] < 10){
			$show_date['day'] = '0'.$show_date['day'];
		}
		return $show_date['day'];
	}

	public function get_month($date){
		if($this->session->userdata('lang')==1) {
			$month_names= array("01"=>"იან", "02"=>"თებ", "03"=>"მარ", "04"=>"აპრ", "05"=>"მაი", "06"=>"ივნ", "07"=>"ივლ", "08"=>"აგვ", "09"=>"სექ", "10"=>"ოქტ", "11"=>"ნოე", "12"=>"დეკ");
		} else {
			$month_names= array("01"=>"Jan", "02"=>"Feb", "03"=>"Mar", "04"=>"Apr", "05"=>"May", "06"=>"June", "07"=>"July", "08"=>"Aug", "09"=>"Sept", "10"=>"Oct", "11"=>"Nov", "12"=>"Dec");
		}
		$show_date = DateTime::createFromFormat('d/m/Y', $date)->format('Y-m-d');
		$show_date = date_parse($show_date);
		if($show_date['month'] < 10){
			$show_date['month'] = '0'.$show_date['month'];
		}
		return $month_names[$show_date['month']];

	}
	
	public function get_month_full($date){
		if($this->session->userdata('lang')==1) {
			$month_names= array("01"=>"იანვარი", "02"=>"თებერვალი", "03"=>"მარტი", "04"=>"აპრილი", "05"=>"მაისი", "06"=>"ივნისი", "07"=>"ივლისი", "08"=>"აგვისტო", "09"=>"სექტემბერი", "10"=>"ოქტომბერი", "11"=>"ნოემბერი", "12"=>"დეკემბერი");	
		} else {
			$month_names= array("01"=>"January", "02"=>"February", "03"=>"March", "04"=>"April", "05"=>"May", "06"=>"June", "07"=>"July", "08"=>"August", "09"=>"September", "10"=>"October", "11"=>"November", "12"=>"December");
		}
		$show_date = DateTime::createFromFormat('d/m/Y', $date)->format('Y-m-d');
		$show_date = date_parse($show_date);
		if($show_date['month'] < 10){
			$show_date['month'] = '0'.$show_date['month'];
		}
		return $month_names[$show_date['month']];


	}

}