<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class All_news extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('main_view_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function index($start=0){
		$this->load->library('pagination');
		$data['news_cat']=$this->main_view_model->view_news_cat();
		$data['schools'] = $this->main_view_model->view_schools();
		$data['institutes'] = $this->main_view_model->view_institutes();
		$day =$this->input->get('day');
		$month =$this->input->get('month');
		$year =$this->input->get('year');
		$category = $this->input->get('category');

		$search_date_saver = "/";
		if(!empty($year)) $search_date_saver .= $year;
		if(!empty($month)){
			$search_date_saver = "/".$month.$search_date_saver;
			$search_date_saver = $day.$search_date_saver;
		}
		
		if(!(empty($day)||empty($month)||empty($year)) &&empty($category)){
			// კატეგორია არ არის არჩეული
			// მაგრამ არჩეულია ყველა რიცხვი აუცილებლად
			$filter = $day."/".$month."/".$year;
			$data['allNews']=$this->main_view_model->view_all_news_filtered(15,$start,$search_date_saver);
			$config['total_rows'] = $this->main_view_model->get_filtered_news_count($filter);
			$config['first_url'] = base_url().'all_news/?day='.$day.'&month='.$month.'&year='.$year;
		}
		else if(!(empty($category))){
			if(!(empty($day)||empty($month)||empty($year))){
				//კატეგორია არის არჩეული
				//ყველა ველი არის მონიშნული

				$searchdate = $day."/".$month."/".$year;
				$filter = array('category' => $category, 'date'=> $search_date_saver );
				$data['allNews']=$this->main_view_model->view_all_news_catfiltered(15,$start,$filter);
				$config['total_rows'] = $this->main_view_model->get_catfiltered_news_count($filter);					
				$config['first_url'] = base_url().'all_news/?day='.$day.'&month='.$month.'&year='.$year.'&category='.$category;
			}
			else{
				//კატეგორია არის არჩეული
				//ერთერთი ველი მაინც არის ცარიელი
				//$filter = array('category' => $category );
				$searchdate = $day."/".$month."/".$year;
				$filter = array('category' => $category, 'date'=> $search_date_saver );
				$data['allNews']=$this->main_view_model->view_all_news_catfiltered(15,$start,$filter);
				$config['total_rows'] = $this->main_view_model->get_catfiltered_news_count($filter);					
				$config['first_url'] = base_url().'all_news/?category='.$category;
				$config['suffix'] ='?category='.$category;
			}
		}
		else{
			//კატეგორია არ არის არჩეული
			//ერთერთი ველი მაინც არის ცარიელი
			if(!empty($day)||!empty($month)||!empty($year)){
				
				$filter = $day."/".$month."/".$year;
				$data['allNews']=$this->main_view_model->view_all_news_catfiltered(15,$start,$search_date_saver);
				$config['total_rows'] = $this->main_view_model->get_filtered_news_count($filter);
				$config['first_url'] = base_url().'all_news/?day='.$day.'&month='.$month.'&year='.$year;
			}else{

			$data['allNews']=$this->main_view_model->view_all_news(15,$start);
			$config['total_rows'] = $this->main_view_model->get_news_count();			
			}
		}
		if($this->input->get('school_id')){
			$school = $this->input->get('school_id');
		}
		else{
			$school = NULL;
		}
		if($this->input->get('institute_id')){
			$institute = $this->input->get('institute_id');
		}
		else{
			$institute = NULL;
		}
		if(!(empty($school)) || !(empty($institute)) ){
			if(!(empty($day)||empty($month)||empty($year))){
				$searchdate = $day."/".$month."/".$year;
				$filter = array('school_id' => $school, 'institute_id' => $institute, 'date'=> $searchdate );
				$data['allNews']=$this->main_view_model->view_all_news_schfiltered(15,$start,$filter);
				$config['total_rows'] = $this->main_view_model->get_schfiltered_news_count($filter);					
				$config['first_url'] = base_url().'all_news/?day='.$day.'&month='.$month.'&year='.$year.'&school_id='.$school.'&institute_id='.$institute;
			}
			else{
				$filter = array('school_id' => $school, 'institute_id' => $institute );
				$data['allNews']=$this->main_view_model->view_all_news_scfiltered(15,$start,$filter);
				$config['total_rows'] = $this->main_view_model->get_scfiltered_news_count($filter);					
				$config['first_url'] = base_url().'all_news/?category='.$category;
			}
		}

		$config['base_url'] = base_url().'all_news/index/';
		$config['per_page'] = 15;
		$config['next_link'] = 'Next';
		$config['prev_link'] = 'Prev';
		$config['uri_segment'] = 3;
		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();

		$this->load->view('site/all_news', $data);

	}



	function get_calendar_news(){

		$data = $this->main_view_model->get_calendar_news();

		echo json_encode($data);

	}

	function get_calendar_school_news(){

		$id = $this->input->post("school_id");

		$data = $this->main_view_model->get_calendar_school_news($id);

		echo json_encode($data);

	}



}