<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Institutes_all_news extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('main_view_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function index($id,$start=0){
		$this->load->library('pagination');
		$this->load->model('institute_model');
		$data['title'] = $this->institute_model->get_title($id);
		$data['header'] = $this->institute_model->get_header($id);
		$data['news_cat']=$this->main_view_model->view_news_cat();
		$data['schools'] = $this->main_view_model->view_schools();
		$filter = array('school_id' => $school, 'institute_id' => $id );
		$data['institutes'] = $this->main_view_model->view_institutes();
		$day =$this->input->get('day');
		$month =$this->input->get('month');
		$year =$this->input->get('year');
		$category = $this->input->get('category');
		
		if(!(empty($day)||empty($month)||empty($year)) &&empty($category)){
			$filter = $day."/".$month."/".$year;
			$data['allNews']=$this->main_view_model->view_all_news_filtered(15,$start,$filter);
			$config['total_rows'] = $this->main_view_model->get_filtered_news_count($filter);
			$config['first_url'] = base_url().'institutes_all_news/?day='.$day.'&month='.$month.'&year='.$year;
		}
		else if(!(empty($category))){
			if(!(empty($day)||empty($month)||empty($year))){
				$searchdate = $day."/".$month."/".$year;
				$filter = array('category' => $category, 'date'=> $searchdate );
				$data['allNews']=$this->main_view_model->view_all_news_catfiltered(15,$start,$filter);
				$config['total_rows'] = $this->main_view_model->get_catfiltered_news_count($filter);					
				$config['first_url'] = base_url().'institutes_all_news/?day='.$day.'&month='.$month.'&year='.$year.'&category='.$category;
			}
			else{
				$filter = array('category' => $category );
				$data['allNews']=$this->main_view_model->view_all_news_catfiltered(15,$start,$filter);
				$config['total_rows'] = $this->main_view_model->get_catfiltered_news_count($filter);					
				$config['first_url'] = base_url().'institutes_all_news/?category='.$category;
				$config['suffix'] ='?category='.$category;
			}
		}
		else{
			$data['allNews']=$this->main_view_model->view_all_news_scfiltered(15,$start,$filter);
			$config['total_rows'] = $this->main_view_model->get_scfiltered_news_count($filter);					
		}
		if($this->input->get('school_id')){
			$school = $this->input->get('school_id');
		}
		else{
			$school = NULL;
		}
		if($this->input->get('institute_id')){
			$institute = $this->input->get('institute_id');
		}
		else{
			$institute = NULL;
		}
		if(!(empty($school)) || !(empty($institute)) ){
			if(!(empty($day)||empty($month)||empty($year))){
				$searchdate = $day."/".$month."/".$year;
				$filter = array('school_id' => $school, 'institute_id' => $institute, 'date'=> $searchdate );
				$data['allNews']=$this->main_view_model->view_all_news_schfiltered(15,$start,$filter);
				$config['total_rows'] = $this->main_view_model->get_schfiltered_news_count($filter);					
				$config['first_url'] = base_url().'institutes_all_news/?day='.$day.'&month='.$month.'&year='.$year.'&school_id='.$school.'&institute_id='.$institute;
			}
			else{
				$filter = array('school_id' => $school, 'institute_id' => $institute );
				$data['allNews']=$this->main_view_model->view_all_news_scfiltered(15,$start,$filter);
				$config['total_rows'] = $this->main_view_model->get_scfiltered_news_count($filter);					
				$config['first_url'] = base_url().'institutes_all_news/?category='.$category;
			}
		}

		$config['base_url'] = base_url().'institutes_all_news/index/'.$id."/";
		$config['per_page'] = 15;
		$config['next_link'] = 'Next';
		$config['prev_link'] = 'Prev';
		$config['uri_segment'] = 4;
		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();

		$this->load->view('site/institute_all_news', $data);

	}



	function get_calendar_news(){

		$data = $this->main_view_model->get_calendar_news();

		echo json_encode($data);

	}



}