<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage_main_nav extends CI_Controller {

    function __construct() {
       parent::__construct();
       $this->load->model('gallery_model');
    }

    
    public function get_json()
    {
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('main_menu');
       $root = $this->MPTtree->get_root();
       if($this->session->userdata('lang') == 1){
        $this->db->select('descendants.id, target, descendants.title, main_menu_content.link, Count(main_menu_content.id) as num_pages, depth');
       }else{
        $this->db->select('descendants.id, target, descendants.title_eng as title, main_menu_content.link, Count(main_menu_content.id) as num_pages, depth');
       }
       $this->MPTtree->AR_from_alldescendants_of($root['lft'],$root['rgt']);
       $this->db->join('main_menu_content','descendants.id = main_menu_content.cat_id', 'left outer');
       $this->db->group_by('descendants.id');
       $this->db->where('main_menu_content.isactive','1');
       $this->db->order_by('descendants.lft');
       $query = $this->db->get();
       $rows = $query->result_array();

       echo json_encode($rows);
    }

    public function get_ancestors()
    {
      $current_id = $this->input->post('menu_item_id');
      $ancestors = $this->gallery_model->get_ancestors($current_id);
      echo json_encode($ancestors);
    }

    public function get_school_ancestors()
    {
      $current_id = $this->input->post('menu_item_id');
      $ancestors = $this->gallery_model->get_school_ancestors($current_id);
      echo json_encode($ancestors);
    }

    public function get_footer_ancestors()
    {
      $current_id = $this->input->post('menu_item_id');
      $footer_id = $this->input->post('footer_id');
      $ancestors = $this->gallery_model->get_footer_ancestors($current_id,$footer_id);
      echo json_encode($ancestors);
    }

    public function get_other_ancestors()
    {
      $current_id = $this->input->post('menu_item_id');
      $footer_id = $this->input->post('footer_id');
      $ancestors = $this->gallery_model->get_other_ancestors($current_id,$footer_id);
      echo json_encode($ancestors);
    }

    public function get_institute_ancestors()
    {
      $current_id = $this->input->post('menu_item_id');
      $ancestors = $this->gallery_model->get_institute_ancestors($current_id);
      echo json_encode($ancestors);
    }

    private function get_foot_menu($uId)
    {
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('foot_menu');
       $root = $this->MPTtree->get_root();
       if($this->session->userdata('lang') == 1){
        $this->db->select('descendants.id, target,descendants.footer_id, descendants.title, foot_menu_content.link, Count(foot_menu_content.id) as num_pages, depth');
       }else{
        $this->db->select('descendants.id, target,descendants.footer_id, descendants.title_eng as title, foot_menu_content.link, Count(foot_menu_content.id) as num_pages, depth');
       }
       $this->MPTtree->AR_from_alldescendants_of($root['lft'],$root['rgt']);
       $this->db->join('foot_menu_content','descendants.id = foot_menu_content.cat_id', 'left outer');
       $this->db->group_by('descendants.id');
       $this->db->order_by('descendants.lft');
       $this->db->where('footer_id',$uId);
       $query = $this->db->get();
       $rows = $query->result_array();
       $rows['top_level'] = $rows[0]['depth'];

       return $rows;
    }

    public function get_foothead_json()
    {
       $this->load->model('footer_model');
       $rows = $this->footer_model->get_postss();    
       foreach ($rows as $value) {
          $value['content'] = $this->get_foot_menu($value[0]['uId']);
          $data[] = $value;
       }  
       
       echo json_encode($data);
    }

    public function get_photo_gallery(){
      $data = $this->gallery_model->get_photo_gallery();
      echo json_encode($data);
    } 

    public function get_video_gallery(){
      $data = $this->gallery_model->get_video_gallery();
      echo json_encode($data);
    } 
    

    public function get_video_message(){
      $data = $this->gallery_model->get_video_message();
      echo json_encode($data);
    } 
    
    public function get_school_json(){
       $id = $this->input->post('id');
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('schools_menu');
       $root = $this->MPTtree->get_root();
       if($this->session->userdata('lang') == 1){
        $this->db->select('descendants.id, target, descendants.lft, descendants.rgt,schools_menu_content.link , descendants.title, Count(schools_menu_content.id) as num_pages, depth');
       }else{
        $this->db->select('descendants.id, target, descendants.lft, descendants.rgt,schools_menu_content.link , descendants.title_eng as title, Count(schools_menu_content.id) as num_pages, depth');
       }
       $this->MPTtree->AR_from_alldescendants_of($root['lft'],$root['rgt']);
       $this->db->join('schools_menu_content','descendants.id = schools_menu_content.cat_id', 'left outer');
       $this->db->group_by('descendants.id');
       $this->db->order_by('descendants.lft');
       $this->db->where('descendants.school_id',$id);
       $query = $this->db->get();
       $rows = $query->result_array();
       echo json_encode($rows);
    }

    public function get_institute_json(){
       $id = $this->input->post('id');
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('institutes_menu');
       $root = $this->MPTtree->get_root();
       if($this->session->userdata('lang') == 1){
        $this->db->select('descendants.id, target, descendants.lft, descendants.rgt, institutes_menu_content.link, descendants.title, Count(institutes_menu_content.id) as num_pages, depth');
       }else{
        $this->db->select('descendants.id, target, descendants.lft, descendants.rgt, institutes_menu_content.link, descendants.title_eng as title, Count(institutes_menu_content.id) as num_pages, depth');
       }
       $this->MPTtree->AR_from_alldescendants_of($root['lft'],$root['rgt']);
       $this->db->join('institutes_menu_content','descendants.id = institutes_menu_content.cat_id', 'left outer');
       $this->db->group_by('descendants.id');
       $this->db->order_by('descendants.lft');
       $this->db->where('descendants.institute_id',$id);
       $query = $this->db->get();
       $rows = $query->result_array();
       echo json_encode($rows);
    }

     public function get_other_json(){
       $other_cat = $this->input->post('other_cat');
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('other');
       $root = $this->MPTtree->get_root();
       if($this->session->userdata('lang') == 1){
        $this->db->select('descendants.id, target, descendants.lft, descendants.rgt, other_content.link, descendants.title, Count(other_content.id) as num_pages, depth');
       }else{
        $this->db->select('descendants.id, target, descendants.lft, descendants.rgt, other_content.link, descendants.title_eng as title, Count(other_content.id) as num_pages, depth');
       }
       $this->MPTtree->AR_from_alldescendants_of($root['lft'],$root['rgt']);
       $this->db->join('other_content','descendants.id = other_content.cat_id', 'left outer');
       $this->db->group_by('descendants.id');
       $this->db->order_by('descendants.lft');
       $this->db->where('descendants.other_cat',$other_cat);
       $query = $this->db->get();
       $rows = $query->result_array();
       echo json_encode($rows);
    }

    public function get_footer_json(){
       $id = $this->input->post('id');
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('foot_menu');
       $root = $this->MPTtree->get_root();
       if($this->session->userdata('lang') == 1){
        $this->db->select('descendants.id, target, descendants.lft, foot_menu_content.link, descendants.rgt, descendants.title, Count(foot_menu_content.id) as num_pages, depth');
       }else{
        $this->db->select('descendants.id, target, descendants.lft, foot_menu_content.link, descendants.rgt, descendants.title_eng as title, Count(foot_menu_content.id) as num_pages, depth');
       }
       $this->MPTtree->AR_from_alldescendants_of($root['lft'],$root['rgt']);
       $this->db->join('foot_menu_content','descendants.id = foot_menu_content.cat_id', 'left outer');
       $this->db->group_by('descendants.id');
       $this->db->order_by('descendants.lft');
       $this->db->where('descendants.footer_id',$id);
       $query = $this->db->get();
       $rows = $query->result_array();
       echo json_encode($rows);
    }

   
}

