<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Search extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model('search_model');
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function index(){
		$this->load->view('site/search');
	}

	public function get_search(){
		$keyword = $this->input->post('keyword');
		echo $this->search_model->search($keyword);		
	}

	public function news(){
		$keyword = $this->input->get('search');
		$data['content']=$this->search_model->news_search($keyword);
		$data['count'] = $this->get_count($keyword);
		$this->load->view('site/search_news',$data);
	}

	public function announce(){
		$keyword = $this->input->get('search');
		$data['access'] = $this;
		$data['content']=$this->search_model->announce_search($keyword);
		$data['count'] = $this->get_count($keyword);
		$this->load->view('site/search_announce',$data);
	}

	public function video(){
		$keyword = $this->input->get('search');
		$data['content']=$this->search_model->video_search($keyword);
		$data['count'] = $this->get_count($keyword);
		$this->load->view('site/search_video',$data);

	}

	public function person(){
		$keyword = $this->input->get('search');
		$data['content']=$this->search_model->personal_search($keyword);
		$data['count'] = $this->get_count($keyword);
		$this->load->view('site/search_person',$data);
	}

	public function menu(){
		$keyword = $this->input->get('search');
		$data['content']=$this->search_model->menu_search($keyword);
		$data['count'] = $this->get_count($keyword);
		$this->load->view('site/search_menu',$data);
	}
	public function get_content(){
		$id = $this->input->post('id');
		$this->load->model('main_nav_ad_model');
		$data = $this->main_nav_ad_model->get_post_search($id);
		echo json_encode($data);
	}

	public function get_count($data){
		return $this->search_model->search_count($data);
	}

	public function get_day($date){
		$show_date = DateTime::createFromFormat('d/m/Y', $date)->format('Y-m-d');
		$show_date = date_parse($show_date);
		if($show_date['day'] < 10){
			$show_date['day'] = '0'.$show_date['day'];
		}
		return $show_date['day'];
	}

	public function get_month($date){
		if($this->session->userdata('lang')==1) {
			$month_names= array("01"=>"იან", "02"=>"თებ", "03"=>"მარ", "04"=>"აპრ", "05"=>"მაი", "06"=>"ივნ", "07"=>"ივლ", "08"=>"აგვ", "09"=>"სექ", "10"=>"ოქტ", "11"=>"ნოე", "12"=>"დეკ");
		} else {
			$month_names= array("01"=>"Jan", "02"=>"Feb", "03"=>"Mar", "04"=>"Apr", "05"=>"May", "06"=>"June", "07"=>"July", "08"=>"Aug", "09"=>"Sept", "10"=>"Oct", "11"=>"Nov", "12"=>"Dec");
		}
		$show_date = DateTime::createFromFormat('d/m/Y', $date)->format('Y-m-d');
		$show_date = date_parse($show_date);
		if($show_date['month'] < 10){
			$show_date['month'] = '0'.$show_date['month'];
		}
		return $month_names[$show_date['month']];

	}

}