<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Entrants_sections_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->where('entrant_id',$this->session->userdata('entrant_id'))->group_by("uId")->order_by("blocklevel","asc")->get("entrants_mainblocks");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('entrants_mainblocks')->join('langs', 'langs.langID = entrants_mainblocks.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('entrants_mainblocks')->where(array('uId'=>$uId,'entrant_id'=>$this->session->userdata('entrant_id')));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('entrants_mainblocks',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('entrants_mainblocks',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------


	function delete($uId){
		$this->db->where('blocklevel',$uId);
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'));
		$this->db->delete('entrants_mainblocks');
		$this->sort($uId);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('blocklevel', 'blocklevel-1', FALSE);
		$this->db->where('blocklevel >', $level);
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'));
		$this->db->update('entrants_mainblocks');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('blocklevel', 'blocklevel+1000', FALSE);
		$this->db->where('blocklevel', $id-1);
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'));
		$this->db->update('entrants_mainblocks');

		$this->db->set('blocklevel', 'blocklevel-1', FALSE);
		$this->db->where('blocklevel', $id);
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'));
		$this->db->update('entrants_mainblocks');

		$this->db->set('blocklevel', 'blocklevel-999', FALSE);
		$this->db->where('blocklevel', $id+999);
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'));
		$this->db->update('entrants_mainblocks');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('blocklevel', 'blocklevel+1000', FALSE);
		$this->db->where('blocklevel', $id+1);
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'));
		$this->db->update('entrants_mainblocks');

		$this->db->set('blocklevel', 'blocklevel+1', FALSE);
		$this->db->where('blocklevel', $id);
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'));
		$this->db->update('entrants_mainblocks');

		$this->db->set('blocklevel', 'blocklevel-1001', FALSE);
		$this->db->where('blocklevel', $id+1001);
		$this->db->where('entrant_id',$this->session->userdata('entrant_id'));
		$this->db->update('entrants_mainblocks');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->where('entrant_id',$this->session->userdata('entrant_id'))->select_max('blocklevel')->get('entrants_mainblocks');
		return $query->result_array();
	}
}

