<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Entrants_slider_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_slides($num=15,$start=0){
		$query = $this->db->select("uId")->group_by("uId")->where(array('entrant_id'=>$this->session->userdata('entrant_id')))->order_by("level","desc")->limit($num,$start)->get("entrants_mainslider");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('entrants_mainslider')->join('langs', 'langs.langID = entrants_mainslider.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('entrants_mainslider')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_slide($uId){
		$this->db->select('*')->from('entrants_mainslider')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert_slide($data){
		$this->db->insert('entrants_mainslider',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update_slide($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('entrants_mainslider',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete_slide($uId){
		$this->db->where('level',$uId);
		$this->db->delete('entrants_mainslider');
		$this->sort($uId);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level >', $level);
		$this->db->update('entrants_mainslider');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id-1);
		$this->db->update('entrants_mainslider');

		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('entrants_mainslider');

		$this->db->set('level', 'level-999', FALSE);
		$this->db->where('level', $id+999);
		$this->db->update('entrants_mainslider');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id+1);
		$this->db->update('entrants_mainslider');

		$this->db->set('level', 'level+1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('entrants_mainslider');

		$this->db->set('level', 'level-1001', FALSE);
		$this->db->where('level', $id+1001);
		$this->db->update('entrants_mainslider');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->select_max('level')->get('entrants_mainslider');
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}