<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Footer_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->group_by("uId")->order_by("level","asc")->get("footer");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('footer')->join('langs', 'langs.langID = footer.lang', 'left')->where(array("uId" => $uId["uId"]  ))->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	function get_postss(){
		$query = $this->db->select("uId")->group_by("uId")->order_by("level","asc")->get("footer");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('footer')->join('langs', 'langs.langID = footer.lang', 'left')->where(array("uId" => $uId["uId"],"footer.lang"=> $this->session->userdata('lang')  ))->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}
	function get_menu_items($id){
		if($this->session->userdata('lang') == 1){
			$query = $this->db->select('foot_menu.id,foot_menu_content.link,title')->from("foot_menu")->order_by('menulevel','asc')->join('foot_menu_content','foot_menu_content.cat_id = foot_menu.id')->where('footer_id',$id)->get();
		}
		else{			
			$query = $this->db->select('foot_menu.id,foot_menu_content.link,title_eng as title')->from("foot_menu")->order_by('menulevel','asc')->join('foot_menu_content','foot_menu_content.cat_id = foot_menu.id')->where('footer_id',$id)->get();
		}
		return $query->result_array();
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('footer')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('footer')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('footer',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('footer',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('level',$uId);
		$this->db->delete('footer');
		$this->sort($uId);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level >', $level);
		$this->db->update('footer');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id-1);
		$this->db->update('footer');

		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('footer');

		$this->db->set('level', 'level-999', FALSE);
		$this->db->where('level', $id+999);
		$this->db->update('footer');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id+1);
		$this->db->update('footer');

		$this->db->set('level', 'level+1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('footer');

		$this->db->set('level', 'level-1001', FALSE);
		$this->db->where('level', $id+1001);
		$this->db->update('footer');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->select_max('level')->get('footer');
		return $query->result_array();
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_content($id,$foot_cat){
		if($this->session->userdata('lang')==1){
			$query = $this->db->from('foot_menu')->where( array('foot_menu.id' => $id , 'foot_menu.footer_id' =>$foot_cat ))->join('foot_menu_content','foot_menu_content.cat_id=foot_menu.id')->get();
		}
		else{
			$query = $this->db->select('*,title_eng as title,content_eng as content')->from('foot_menu')->where( array('foot_menu.id' => $id , 'foot_menu.footer_id' =>$foot_cat ))->join('foot_menu_content','foot_menu_content.cat_id=foot_menu.id')->get();
		}
		return $query->first_row('array');
	}

	function get_access($id,$foot_cat){
		$where_arr = array('foot_menu.id' => $id , 'foot_menu.footer_id' =>$foot_cat );
		$query = $this->db->select('pedagog,administrator,office_manager,student')->where($where_arr)->join('foot_menu_content','foot_menu_content.cat_id=foot_menu.id')->get('foot_menu');
		return $query->first_row();
	}
}