<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Gallery_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_photo_gallery(){
		$query = $this->db->select("uId")->group_by("uId")->order_by("level","asc")->get("pgallery_cat");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('pgallery_cat')->where('pgallery_cat.lang',$this->session->userdata('lang'))->join('langs', 'langs.langID = pgallery_cat.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_video_gallery(){
		$query = $this->db->select("uId")->group_by("uId")->where('lang',$this->session->userdata('lang'))->order_by("uId","desc")->get("vgallery_cat");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('vgallery_cat')->where('vgallery_cat.lang',$this->session->userdata('lang'))->join('langs', 'langs.langID = vgallery_cat.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}
	

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_video_message(){
		$query = $this->db->select("uId")->group_by("uId")->where('lang',$this->session->userdata('lang'))->order_by("uId","desc")->get("vmessage_cat");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('vmessage_cat')->where('vmessage_cat.lang',$this->session->userdata('lang'))->join('langs', 'langs.langID = vmessage_cat.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_ancestors($id) {
		$query = $this->db->select('lft, rgt')->where('id', $id)->get('main_menu');
		$current_row = $query->row();
		if($this->session->userdata('lang')==1)
			$this->db->select('id,title');
		else
			$this->db->select('id,title_eng as title');

		$query2	= $this->db->where('lft <', $current_row->lft)->where('rgt >', $current_row->rgt)
							->where('id !=', 1)->get('main_menu');


		$res_arr = array();
		foreach ($query2->result() as $val) {
			array_push($res_arr, array('id' => $val->id, 'title' => $val->title));
		}

		return $res_arr;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_school_ancestors($id) {
		$query = $this->db->select('lft, rgt')->where('id', $id)->get('schools_menu');
		$current_row = $query->row();
		if($this->session->userdata('lang')==1)
			$this->db->select('id,title');
		else
			$this->db->select('id,title_eng as title');

		$query2	= $this->db->where('lft <', $current_row->lft)->where('rgt >', $current_row->rgt)
							->where('id !=', 1)->get('schools_menu');


		$res_arr = array();
		foreach ($query2->result() as $val) {
			array_push($res_arr, array('id' => $val->id, 'title' => $val->title));
		}

		return $res_arr;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_institute_ancestors($id) {
		$query = $this->db->select('lft, rgt')->where('id', $id)->get('institutes_menu');
		$current_row = $query->row();
		if($this->session->userdata('lang')==1)
			$this->db->select('id,title');
		else
			$this->db->select('id,title_eng as title');

		$query2	= $this->db->where('lft <', $current_row->lft)->where('rgt >', $current_row->rgt)
							->where('id !=', 1)->get('institutes_menu');


		$res_arr = array();
		foreach ($query2->result() as $val) {
			array_push($res_arr, array('id' => $val->id, 'title' => $val->title));
		}

		return $res_arr;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_footer_ancestors($id,$footer_id) {
		$query = $this->db->select('lft, rgt')->where('id', $id)->get('foot_menu');
		$current_row = $query->row();
		if($this->session->userdata('lang')==1)
			$this->db->select('id,title');
		else
			$this->db->select('id,title_eng as title');

		$query2	= $this->db->where('lft <', $current_row->lft)->where('rgt >', $current_row->rgt)->where('footer_id',$footer_id)
							->where('id !=', 1)->get('foot_menu');


		$res_arr = array();
		foreach ($query2->result() as $val) {
			array_push($res_arr, array('id' => $val->id, 'title' => $val->title));
		}

		return $res_arr;
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_other_ancestors($id,$footer_id) {
		$query = $this->db->select('lft, rgt')->where('id', $id)->get('other');
		$current_row = $query->row();
		if($this->session->userdata('lang')==1)
			$this->db->select('id,title');
		else
			$this->db->select('id,title_eng as title');

		$query2	= $this->db->where('lft <', $current_row->lft)->where('rgt >', $current_row->rgt)->where('other_cat',$footer_id)
							->where('id !=', 1)->get('other');


		$res_arr = array();
		foreach ($query2->result() as $val) {
			array_push($res_arr, array('id' => $val->id, 'title' => $val->title));
		}

		return $res_arr;
	}
}