<?php defined('BASEPATH') OR exit('No direct script access allowed');



class School_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_title($id){
		$query = $this->db->where(array('uId' =>$id ,'lang'=>$this->session->userdata('lang') ))->get('schools');
		return $query->first_row('array');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_header($id){
		$query = $this->db->where('school_id',$id)->get('school');
		return $query->first_row('array');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_slider($id){
		$query = $this->db->where(array('school_id' =>$id ,'lang'=>$this->session->userdata('lang'), 'isactive'=>'1' ))->order_by("level","desc")->get('schools_mainslider');
		return $query->result_array();
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function view_blocks($id){
		$this->db->select('*');
		$this->db->from('schools_mainblocks');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','school_id'=>$id));
		$this->db->order_by("blocklevel","asc");
		$query=$this->db->get();
		return $query->result_array();
	}
	function view_blocks_posts($section_id){
		$this->db->select('*');
		$this->db->from('schools_section');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','section_id'=>$section_id));
		$this->db->order_by("sectionlevel","asc");
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------
	function get_school_news($school_id, $num = 5, $start = 0) {
		$where_arr = array( 'isactive' => 1, 'lang' => $this->session->userdata('lang'));
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$this->db->like('school_id',$school_id);
		$query = $this->db->select("*")->limit($num,$start)->where($where_arr)->get("news");
		$uIds = $query->result_array();
		return $uIds;
	}

	function get_school_news_not($id, $school_id, $num = 5, $start = 0) {
		$where_arr = array( 'uId !=' =>$id, 'isactive' => 1, 'lang' => $this->session->userdata('lang'));
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$this->db->like('school_id',$school_id);
		$query = $this->db->select("*")->limit($num,$start)->where($where_arr)->get("news");
		$uIds = $query->result_array();
		return $uIds;
	}

	function get_school_news_content($id , $school_id) {
		$where_arr = array( 'uId' => $id , 'isactive' => 1, 'lang' => $this->session->userdata('lang'));
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$this->db->like('school_id',$school_id);
		$query = $this->db->select("*")->where($where_arr)->get("news");
		$uIds = $query->first_row('array');
		return $uIds;
	}

	//----------------------------------------------------------------------------------------------------------------------
	function get_school_section($uId) {
		$this->db->where('lang',$this->session->userdata('lang'));
		$query = $this->db->select("title, content")->where('uId', $uId)->get("schools_section");
		$uId = $query->row();
		return $uId;

	}
	//----------------------------------------------------------------------------------------------------------------------
	function get_menu_title($id,$school_id){
		if($this->session->userdata('lang')==1){
			$query= $this->db->select('title')->where('school_id',$school_id)->where('id',$id)->get('schools_menu');
		}
		else{
			$query= $this->db->select('title_eng as title')->where('school_id',$school_id)->where('id',$id)->get('schools_menu');
		}
		return $query->first_row('array');
	}

	function get_menu_content($id,$school_id){
		if($this->session->userdata('lang')==1){
			$query= $this->db->select('content,isactive,right_content')->where('cat_id',$id)->get('schools_menu_content');

		}else{
			$query= $this->db->select('content_eng as content,isactive,right_content_eng as right_content')->where('cat_id',$id)->get('schools_menu_content');
		}
		return $query->first_row('array');
	}

	function get_school_news_count($school_id) {

		// month(date_format($date, 'm/d/Y')) = EXTRACT(month FROM (NOW()))

		$where_arr = array('school_id' => $school_id, 'isactive' => 1, 'lang' => $this->session->userdata('lang'));
		// $this->db->_protect_identifiers=false; 
		// $this->db->where("month(STR_TO_DATE(date,'%m/%d/%Y'))","EXTRACT(month FROM (NOW()))");
		// $this->db->_protect_identifiers=true; 
		$query = $this->db->select("*")->where($where_arr)->get("news");
		return $query->num_rows();
	}

	function get_access($id,$foot_cat){
		$where_arr = array('schools_menu.id' => $id , 'school_id' =>$foot_cat );
		$query = $this->db->select('pedagog,administrator,office_manager,student')->where($where_arr)->join('schools_menu_content','schools_menu_content.cat_id = schools_menu.id')->get('schools_menu');
		return $query->first_row();
	}

}