<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Schools_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->group_by("uId")->order_by("level","asc")->get("schools");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('schools')->join('langs', 'langs.langID = schools.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('schools')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}
	function get_post_by_id($id){
		$this->db->select('*')->from('schools')->where(array('id'=>$id));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('schools',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('schools',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('level',$uId);
		$this->db->delete('schools');
		$this->sort($uId);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level >', $level);
		$this->db->update('schools');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id-1);
		$this->db->update('schools');

		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('schools');

		$this->db->set('level', 'level-999', FALSE);
		$this->db->where('level', $id+999);
		$this->db->update('schools');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id+1);
		$this->db->update('schools');

		$this->db->set('level', 'level+1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('schools');

		$this->db->set('level', 'level-1001', FALSE);
		$this->db->where('level', $id+1001);
		$this->db->update('schools');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->select_max('level')->get('schools');
		return $query->result_array();
	}
}