<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Schools_section_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts($sec_id){
		$query = $this->db->select("uId")->group_by("uId")->order_by("sectionlevel","asc")->where(array('section_id'=>$sec_id,'school_id'=>$this->session->userdata('school_id')))->get("schools_section");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('schools_section')->join('langs', 'langs.langID = schools_section.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId,$sec_id){
		$this->db->select('*')->from('schools_section')->where(array('uId'=>$uId,'section_id'=>$sec_id,'school_id'=>$this->session->userdata('school_id')));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('schools_section',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('schools_section',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('sectionlevel',$uId);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->delete('schools_section');
		$this->sort($uId);
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('sectionlevel', 'sectionlevel-1', FALSE);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->where('sectionlevel >', $level);
		$this->db->update('schools_section');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('sectionlevel', 'sectionlevel+1000', FALSE);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->where('sectionlevel', $id-1);
		$this->db->update('schools_section');

		$this->db->set('sectionlevel', 'sectionlevel-1', FALSE);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->where('sectionlevel', $id);
		$this->db->update('schools_section');

		$this->db->set('sectionlevel', 'sectionlevel-999', FALSE);
		$this->db->where('sectionlevel', $id+999);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->update('schools_section');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('sectionlevel', 'sectionlevel+1000', FALSE);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->where('sectionlevel', $id+1);
		$this->db->update('schools_section');

		$this->db->set('sectionlevel', 'sectionlevel+1', FALSE);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->where('sectionlevel', $id);
		$this->db->update('schools_section');

		$this->db->set('sectionlevel', 'sectionlevel-1001', FALSE);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->where('sectionlevel', $id+1001);
		$this->db->update('schools_section');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function get_level(){
		$query = $this->db->select_max('sectionlevel')->where(array('section_id'=>$this->session->userdata('school_section_id'),'school_id'=>$this->session->userdata('school_id')))->get('schools_section');
		return $query->result_array();
	}
}