<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Search_model extends CI_Model{

	function search($k){
		$news = $this->news_search($k);
		$announce = $this->announce_search($k);
		$video = $this->video_search($k);
		$personal = $this->personal_search($k);
		$menu = $this->menu_search($k);

		$result = array(
			'news' => $news, 
			'announce' => $announce, 
			'video' => $video, 
			'personal' => $personal, 
			'menu' => $menu 
		);
		return json_encode($result);
	}

	function news_search($k){
		$query = $this->db->select('*')->where('lang',$this->session->userdata('lang'))->like('title',$k)->get('news');
		$array = $query->result_array();
		return $array;
	}

	function announce_search($k){
		$today = date(time());
		$this->db->where('enddate >=' , $today);
		$query = $this->db->select('*')->where('lang',$this->session->userdata('lang'))->like('title',$k)->get('announce');
		$array = $query->result_array();
		return $array;

	}

	function video_search($k){
		$query = $this->db->select('*')->where('lang',$this->session->userdata('lang'))->like('title',$k)->get('vgallery');
		$array = $query->result_array();
		return $array;

	}

	function personal_search($k){
		$query = $this->db->select('*')->where('lang',$this->session->userdata('lang'))->like('name',$k)->get('schools_personal');
		$array = $query->result_array();
		return $array;

	}

	function menu_search($k){
		if($this->session->userdata('lang')==1){
			$query = $this->db->select('*,main_menu.id,title')->like('title',$k)->join('main_menu_content','main_menu_content.cat_id = main_menu.id')->get('main_menu');
		}
		else{
			$query = $this->db->select('*,main_menu.id,title_eng as title')->like('title_eng',$k)->join('main_menu_content','main_menu_content.cat_id = main_menu.id')->get('main_menu');
		}
		$array = $query->result_array();
		return $array;
	}

	function search_count($k){
		$news = $this->news_search($k);
		$announce = $this->announce_search($k);
		$video = $this->video_search($k);
		$personal = $this->personal_search($k);
		$menu = $this->menu_search($k);

		$result = array(
			'news' => count($news), 
			'announce' => count($announce), 
			'video' => count($video), 
			'personal' => count($personal), 
			'menu' => count($menu),
			'all' => count($news)+count($announce)+count($video)+count($personal)+count($menu)
		);
		return $result;
	}
}